summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatt Turner <mattst88@gentoo.org>2018-09-18 22:57:55 -0700
committerMatt Turner <mattst88@gentoo.org>2018-09-18 22:58:02 -0700
commit9763517b0a4b745eb627e55aff9344d379dbbc82 (patch)
tree1470f24e793c46b0aa6d2ed11ade390e0ae511a1 /media-gfx
parentwww-plugins/browserpass: Add myself as maintainer (diff)
downloadgentoo-9763517b0a4b745eb627e55aff9344d379dbbc82.tar.gz
gentoo-9763517b0a4b745eb627e55aff9344d379dbbc82.tar.bz2
gentoo-9763517b0a4b745eb627e55aff9344d379dbbc82.zip
media-gfx/xdot: Version bump to 1.0
Diffstat (limited to 'media-gfx')
-rw-r--r--media-gfx/xdot/Manifest1
-rw-r--r--media-gfx/xdot/xdot-1.0.ebuild36
2 files changed, 37 insertions, 0 deletions
diff --git a/media-gfx/xdot/Manifest b/media-gfx/xdot/Manifest
index 70513f2d4c1..9b6eb11c8a5 100644
--- a/media-gfx/xdot/Manifest
+++ b/media-gfx/xdot/Manifest
@@ -2,3 +2,4 @@ DIST xdot-0.5.tar.gz 24555 BLAKE2B 81621369e3e2604d5f86da8edee1af440b3bf6811ad9a
DIST xdot-0.6.tar.gz 27710 BLAKE2B 414a6fd422a2d4e08d20c28841cb91215f16a89ba6dd03406219bd2dc9f63fb5250f19f3e48a3535cd2a5daa08aa2b3c702b06ef17e252e34c24c40459e29566 SHA512 25dcb35aacdd58fb13519346d1d8cf500eeeeb3cc40dee85e967d23c52c0c37ba092a023aec6cd72a35b74e3ea6a2168e1691ad218e4a6af17ea6d56d824f05b
DIST xdot-0.7.tar.gz 126406 BLAKE2B 4451992c0bc3808fe9de64601baea7af8f08fc10475bcf266f6ffc2d70b96566b77d1ae03f9dd57a42ae54f23d2e7f8b2e258239a891818a404fc2b2cd5e5df9 SHA512 793be28fbd0ee6c2b9dd97532ef8742d598f84055ef67e688593d7c1f689f04593dd89a490f4f48866b18ac595252d03b9cc6d8d8e2d6c0ac1ef1ad28789c512
DIST xdot-0.8.tar.gz 131659 BLAKE2B e8bfa034cd106054ef070b5c1cfe641b7fb3ce37f60c747c5ccb339f2b4bbbeb58b54f6f1f9cf57544c53a81d0bf61e4e787a6a78c18b6db90b5cceee3720e70 SHA512 76eea4054ed5b9b3fa25c53dcbceed6671ee622ed6d841ee30cb1005beaf35a74c4e36e4b577b69ef12e39f6e8fcb8f38d1bb024bb9abe92df8c672f0c114ab3
+DIST xdot-1.0.tar.gz 131868 BLAKE2B 433d81913d19ae341c7168d9e22a2c8a54f49b0ad6b0da744cc3152766b333252b9ad7ba3831bdb17fc29a2408f8bdf3d929a438e89a78945f8edd7a8cd123b9 SHA512 52330380973ee122ac5d93f1be5b8f21b5719f537c93dd6f356a116207e366d16cf3cefcb9ec59b21b7170dc94e1f413307c3980e9ba2eaef5ce45340b50b311
diff --git a/media-gfx/xdot/xdot-1.0.ebuild b/media-gfx/xdot/xdot-1.0.ebuild
new file mode 100644
index 00000000000..e8716f71acd
--- /dev/null
+++ b/media-gfx/xdot/xdot-1.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python3_4 python3_5 python3_6 )
+
+inherit distutils-r1
+
+MY_PN=xdot.py
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Interactive viewer for Graphviz dot files"
+HOMEPAGE="https://github.com/jrfonseca/xdot.py"
+SRC_URI="https://github.com/jrfonseca/${MY_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="
+ dev-python/pycairo[${PYTHON_USEDEP}]
+ dev-python/pygobject:3[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ media-gfx/graphviz
+"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+ eapply_user
+
+ # Don't require graphviz python(2) supprt, which xdot doesn't use. This allows xdot to support python3.
+ # For more info, see https://bugs.gentoo.org/643126
+ sed -i "/install_requires=\['graphviz'\],/d" setup.py || die
+}